Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.timer
Class TimerInstance

    java.lang.Object
      org.jbpm.process.instance.timer.TimerInstance

All Implemented Interfaces:
  Serializable

    public class TimerInstance

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`TimerInstance()`

Method Summary
`Date` | `getActivated()`
`String` | `getCronExpression()`
`long` | `getDelay()`
`long` | `getId()`
`org.drools.core.time.JobHandle` | `getJobHandle()`
`Date` | `getLastTriggered()`
`long` | `getPeriod()`
`long` | `getProcessInstanceId()`
`int` | `getRepeatLimit()`
`int` | `getSessionId()`
`long` | `getTimerId()`
`void` | `setActivated(Date activated)`
`void` | `setCronExpression(String cronExpression)`
`void` | `setDelay(long delay)`
`void` | `setId(long id)`
`void` | `setJobHandle(org.drools.core.time.JobHandle jobHandle)`
`void` | `setLastTriggered(Date lastTriggered)`
`void` | `setPeriod(long period)`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setRepeatLimit(int stopAfter)`
`void` | `setSessionId(int sessionId)`
`void` | `setTimerId(long timerId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimerInstance

    public TimerInstance()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getTimerId

    public long getTimerId()

### setTimerId

    public void setTimerId(long timerId)

### getDelay

    public long getDelay()

### setDelay

    public void setDelay(long delay)

### getPeriod

    public long getPeriod()

### setPeriod

    public void setPeriod(long period)

### getJobHandle

    public org.drools.core.time.JobHandle getJobHandle()

### setJobHandle

    public void setJobHandle(org.drools.core.time.JobHandle jobHandle)

### getActivated

    public Date getActivated()

### setActivated

    public void setActivated(Date activated)

### setLastTriggered

    public void setLastTriggered(Date lastTriggered)

### getLastTriggered

    public Date getLastTriggered()

### getProcessInstanceId

    public long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getRepeatLimit

    public int getRepeatLimit()

### setRepeatLimit

    public void setRepeatLimit(int stopAfter)

### getSessionId

    public int getSessionId()

### setSessionId

    public void setSessionId(int sessionId)

### getCronExpression

    public String getCronExpression()

### setCronExpression

    public void setCronExpression(String cronExpression)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.